Create a Truework Direct order
POST requests create an order with a Truework Direct session token, used for instantiating the Truework.js widget.
Authentication
AuthorizationBearer
Bearer tokens conform to the [RFC6750](https://datatracker.ietf.org/doc/html/rfc6750#section-2.1) spec.
Production API keys (secret keys) are prefixed with `tw_sk_` and sandbox keys are prefixed with `tw_sk_test_`. If your secret key is published, you should rotate your API keys.
Truework.JS publishable keys are prefixed with `tw_pk_` and `tw_pk_test` respectively.
**Examples**
- For Authorization Headers: `Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be`
- For the "try it now" `token` field, input only the token itself, omitting `Bearer `.
Headers
Accept
Specify the content type and version that the API should use. It's recommended to include this to avoid breaking changes.
Allowed values:
Request
targets
loan_id
The loan id associated with the verification request
search_key
A non-unique key that can be used to search for Orders
tenant_property_id
The ID of the tenant property to be used for this verification request.
Response headers
Date
For JSON requests, the date at which the request was signed
X-Truework-Signature
For JSON requests, the signature of the request, see: https://www.truework.com/docs/verifications-signatures
Response
Order Created.
employer_search
Response object specific to Employer Search requests.
id
loan_id
The loan id associated with the verification request
reverification
Response object specific to Reverification requests.
search_key
A non-unique key that can be used to search for Orders
target_employer
Response object specific to Target Employer requests.
truework_direct
Response object specific to Truework Direct requests.
truework_direct_session_link
The Truework Direct URL that is emailed to the applicant for eligible orders. Will only be present when the order is using Truework Direct via email for fulfillment, and the session is prepared for input from the applicant.
verification_requests
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
406
Not Acceptable Error
429
Too Many Requests Error
451
Unavailable for Legal Reasons Error
500
Internal Server Error
501
Not Implemented Error